# Node.js version (use -bullseye variants on local arm64/Apple Silicon): 18, 16, 14, 18-bullseye, 16-bullseye, 14-bullseye, 18-buster, 16-buster, 14-buster
ARG VARIANT=18-bullseye
FROM node:${VARIANT}

RUN apt-get update \
  && apt-get -y install --no-install-recommends python3 jq bash curl nano

WORKDIR /app

COPY . .

RUN echo "Installing dependencies and building laconic-registry-cli" && \
  yarn && yarn build

# Globally install the cli binary
RUN npm config set @cerc-io:registry https://git.vdb.to/api/packages/cerc-io/npm/
RUN yarn global add file:$PWD

# Default command sleeps forever so docker doesn't kill it
CMD ["bash", "-c", "while :; do sleep 600; done"]
